Bug 5038 - Switch from post scripts to file triggers in texlive packages
: Switch from post scripts to file triggers in texlive packages
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-10 17:09 MSK by Denis Silakov
Modified: 2015-02-18 10:49 MSK (History)
1 user (show)

See Also:
RPM Package: texlive-tlpkg
ISO-related:
Bad POT generating:
Upstream:
firstlevel: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2015-02-10 17:09:33 MSK
Currently almost every texlive-* package a postscript that invokes texlive.post utility. It is better to implement this behavior using filetriggers installed by texlive-tlpkgs - this should be more flexible and convenient.
Comment 1 Denis Silakov 2015-02-10 17:11:33 MSK
Advisory:

Implemented file triggers in texlive-tlpkg to replace old texlive.post invocation in post scripts of texlive* packages.

Build lists:
https://abf.io/build_lists/2423716
https://abf.io/build_lists/2423717

Note for testers:
To test this update, please try to install/update/remove different texlive packages and check if there are any script errors. E.g., one can install texlive-xvdi, then update texlive-tlpkg from container and then try to remove texlive-xvdi. There should be no errors.
Comment 2 FirstLevel 2015-02-17 12:26:30 MSK
32bit

install texlive-ascii
plug container texlive-tlpkg
remove texlive-ascii

no errors



install texlive-xdvi
plug container texlive-tlpkg
remove texlive-xdvi

no errors
Comment 3 FirstLevel 2015-02-17 12:35:03 MSK
64bit

install texlive-ascii
plug container texlive-tlpkg
remove texlive-ascii

no errors



install texlive-xdvi
plug container texlive-tlpkg
remove texlive-xdvi

no errors
Comment 4 FirstLevel 2015-02-17 12:42:22 MSK
32bit


plug container texlive-tlpkg
install texlive-ascii texlive-xdvi
remove texlive-ascii

no errors


64bit


plug container texlive-tlpkg
install texlive-ascii texlive-xdvi
remove texlive-ascii

no errors
Comment 5 FirstLevel 2015-02-17 21:41:41 MSK
32bit and 64bit


plug container texlive-tlpkg and install texlive  - ok
Comment 6 FirstLevel 2015-02-18 09:21:05 MSK
texlive-tlpkg-20131129-11
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2423716/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2423717/x86_64/main/release/

************************ Advisory **********************
Implemented file triggers in texlive-tlpkg to replace old texlive.post invocation in post scripts of texlive* packages.
********************************************************
QA Verified